Bug 13696 - ctdbd should exit with an error if a required database directory does not exist
ctdbd should exit with an error if a required database directory does not exist
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.9.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-30 01:44 UTC by Martin Schwenke
Modified: 2018-12-07 09:30 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.9 (1.84 KB, patch)
2018-12-05 00:47 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2018-11-30 01:44:17 UTC
Since Samba 4.9, ctdbd no longer creates database directories.  These are now created at installation time (and should be packaged if a packaging system is in use).  If a manually configured database directory does not exist then configuration file loading will fail and ctdbd will log an error and exit.  However, this doesn't happen if a default database directory does not exist.
Comment 1 Martin Schwenke 2018-12-05 00:47:09 UTC
Created attachment 14716 [details]
Patch for 4.9
Comment 2 Amitay Isaacs 2018-12-05 02:08:41 UTC
Hi Karolin,

This is ready for v4-9.

Thanks.
Comment 3 Karolin Seeger 2018-12-05 08:38:49 UTC
(In reply to Amitay Isaacs from comment #2)
Hi Amitay,

pushed to autobuild-v4-9-test.
Comment 4 Karolin Seeger 2018-12-07 09:30:23 UTC
(In reply to Karolin Seeger from comment #3)
(In reply to Martin Schwenke from comment #1)
Pushed to v4-9-test.
Closing out bug report.

Thanks!